aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--x11/wv/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/x11/wv/APKBUILD b/x11/wv/APKBUILD
new file mode 100644
index 0000000000..c66ff3b11f
--- /dev/null
+++ b/x11/wv/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=wv
+pkgver=1.2.4
+pkgrel=0
+pkgdesc="MSWord library can load and parse Word 2000, 97, 95 and 6 file formats"
+url="http://sourceforge.net/projects/wvware"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig libgsf-dev libpng-dev bzip2-dev"
+source="http://downloads.sourceforge.net/sourceforge/wvware/$pkgname-$pkgver.tar.gz"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="c1861c560491f121e12917fa76970ac5 wv-1.2.4.tar.gz"